#
# robots.txt
#
# This file is to prevent the crawling and indexing of certain parts
# of your site by web crawlers and spiders run by sites like Yahoo!
# and Google. By telling these "robots" where not to go on your site,
# you save bandwidth and server resources.
#
# This file will be ignored unless it is at the root of your host:
# Used:    http://example.com/robots.txt
# Ignored: http://example.com/site/robots.txt
#
# For more information about the robots.txt standard, see:
# http://www.robotstxt.org/robotstxt.html

User-agent: *
Visit-time: 0700-1100 # only visit between 2am ET (7am UTC) and 6am ET (11am UTC)
Crawl-delay: 10
# Directories
Disallow: /includes/
Disallow: /misc/
Disallow: /modules/
Disallow: /profiles/
Disallow: /scripts/
Disallow: /themes/
# Files
Disallow: /CHANGELOG.txt
Disallow: /cron.php
Disallow: /INSTALL.mysql.txt
Disallow: /INSTALL.pgsql.txt
Disallow: /INSTALL.sqlite.txt
Disallow: /install.php
Disallow: /INSTALL.txt
Disallow: /LICENSE.txt
Disallow: /MAINTAINERS.txt
Disallow: /update.php
Disallow: /UPGRADE.txt
Disallow: /xmlrpc.php
# Paths (clean URLs)
Disallow: /admin/
Disallow: /comment/reply/
Disallow: /filter/tips/
Disallow: /node/add/
Disallow: /search/
Disallow: /user/register/
Disallow: /user/password/
Disallow: /user/login/
Disallow: /user/logout/
Disallow: /stats/alltime
# Paths (no clean URLs)
Disallow: /?q=admin/
Disallow: /?q=comment/reply/
Disallow: /?q=filter/tips/
Disallow: /?q=node/add/
Disallow: /?q=search/
Disallow: /?q=user/password/
Disallow: /?q=user/register/
Disallow: /?q=user/login/
Disallow: /?q=user/logout/
Disallow: /account

#Montreal FR
Disallow: /fr/includes/
Disallow: /fr/misc/
Disallow: /fr/modules/
Disallow: /fr/profiles/
Disallow: /fr/scripts/
Disallow: /fr/themes/
# Files
Disallow: /fr/CHANGELOG.txt
Disallow: /fr/cron.php
Disallow: /fr/INSTALL.mysql.txt
Disallow: /fr/INSTALL.pgsql.txt
Disallow: /fr/INSTALL.sqlite.txt
Disallow: /fr/install.php
Disallow: /fr/INSTALL.txt
Disallow: /fr/LICENSE.txt
Disallow: /fr/MAINTAINERS.txt
Disallow: /fr/update.php
Disallow: /fr/UPGRADE.txt
Disallow: /fr/xmlrpc.php
# Paths (clean URLs)
Disallow: /fr/admin/
Disallow: /fr/comment/reply/
Disallow: /fr/filter/tips/
Disallow: /fr/node/add/
Disallow: /fr/search/
Disallow: /fr/user/register/
Disallow: /fr/user/password/
Disallow: /fr/user/login/
Disallow: /fr/user/logout/
Disallow: /fr/stats/alltime
# Paths (no clean URLs)
Disallow: /fr/?q=admin/
Disallow: /fr/?q=comment/reply/
Disallow: /fr/?q=filter/tips/
Disallow: /fr/?q=node/add/
Disallow: /fr/?q=search/
Disallow: /fr/?q=user/password/
Disallow: /fr/?q=user/register/
Disallow: /fr/?q=user/login/
Disallow: /fr/?q=user/logout/
Disallow: /fr/account

#Montreal EN
Disallow: /en/includes/
Disallow: /en/misc/
Disallow: /en/modules/
Disallow: /en/profiles/
Disallow: /en/scripts/
Disallow: /en/themes/
# Files
Disallow: /en/CHANGELOG.txt
Disallow: /en/cron.php
Disallow: /en/INSTALL.mysql.txt
Disallow: /en/INSTALL.pgsql.txt
Disallow: /en/INSTALL.sqlite.txt
Disallow: /en/install.php
Disallow: /en/INSTALL.txt
Disallow: /en/LICENSE.txt
Disallow: /en/MAINTAINERS.txt
Disallow: /en/update.php
Disallow: /en/UPGRADE.txt
Disallow: /en/xmlrpc.php
# Paths (clean URLs)
Disallow: /en/admin/
Disallow: /en/comment/reply/
Disallow: /en/filter/tips/
Disallow: /en/node/add/
Disallow: /en/search/
Disallow: /en/user/register/
Disallow: /en/user/password/
Disallow: /en/user/login/
Disallow: /en/user/logout/
Disallow: /en/stats/alltime
# Paths (no clean URLs)
Disallow: /en/?q=admin/
Disallow: /en/?q=comment/reply/
Disallow: /en/?q=filter/tips/
Disallow: /en/?q=node/add/
Disallow: /en/?q=search/
Disallow: /en/?q=user/password/
Disallow: /en/?q=user/register/
Disallow: /en/?q=user/login/
Disallow: /en/?q=user/logout/
Disallow: /en/account
